Name: pcre
Version: 3.9
Release: alt3

Summary: Perl-compatible regular expression library
License: BSD-like
Group: System/Libraries
Url: http://www.pcre.org/

Source: ftp://ftp.cus.cam.ac.uk/pub/software/programs/%name/%name-%version.tar.bz2

# Automatically added by buildreq on Mon Sep 02 2002
BuildRequires: glibc-devel-static

%package -n lib%name
Summary: Perl-compatible regular expression shared library
Group: System/Libraries
Provides: %name = %version
Obsoletes: %name

%package -n lib%name-devel
Summary: Perl-compatible regular expressions development files
Group: Development/C
Provides: %name-devel = %version
Obsoletes: %name-devel
Requires: lib%name = %version-%release

%package -n lib%name-devel-static
Summary: Perl-compatible regular expression static library
Group: Development/C
Provides: %name-devel-static = %version
Obsoletes: %name-devel-static
Requires: lib%name-devel = %version-%release

%package grep
Summary: Grep using perl-compatible regular expressions
Group: File tools
Obsoletes: pgrep
Requires: lib%name = %version-%release

%description
PCRE stands for the Perl Compatible Regular Expressions.
PCRE has its own native API, but a set of "wrapper" functions that are based
on the POSIX API are also supplied in the library libpcreposix. Note that
this just provides a POSIX calling interface to PCRE: the regular expressions
themselves still follow Perl syntax and semantics. The header file for the
POSIX-style functions is called pcreposix.h

%description -n lib%name
PCRE stands for the Perl Compatible Regular Expressions.
PCRE has its own native API, but a set of "wrapper" functions that are based
on the POSIX API are also supplied in the library libpcreposix. Note that
this just provides a POSIX calling interface to PCRE: the regular expressions
themselves still follow Perl syntax and semantics.

If you are planning on using programs that uses PCRE, you'll need
to have the %name package installed.

%description -n lib%name-devel
PCRE stands for the Perl Compatible Regular Expressions.
PCRE has its own native API, but a set of "wrapper" functions that are based
on the POSIX API are also supplied in the library libpcreposix. Note that
this just provides a POSIX calling interface to PCRE: the regular expressions
themselves still follow Perl syntax and semantics. The header file for the
POSIX-style functions is called pcreposix.h

This package contains development files and documentation that are
needed for developing your own applications which use perl-style
regular expressions.

%description -n lib%name-devel-static
PCRE stands for the Perl Compatible Regular Expressions.
PCRE has its own native API, but a set of "wrapper" functions that are based
on the POSIX API are also supplied in the library libpcreposix. Note that
this just provides a POSIX calling interface to PCRE: the regular expressions
themselves still follow Perl syntax and semantics. The header file for the
POSIX-style functions is called pcreposix.h

This package contains the static libraries that are needed for developing
your own statically linked applications which use perl-style
regular expressions.

%description grep
pgrep is a grep workalike which uses perl-style regular expressions
instead of POSIX regular expressions.

%prep
%setup -q

%build
%configure --includedir=%_includedir/%name
# SMP-incompatible
make
make check

%install
mkdir -p $RPM_BUILD_ROOT/lib
%make_install install DESTDIR=$RPM_BUILD_ROOT

# Relocate shared libraries from %_libdir/ to /lib/.
for f in $RPM_BUILD_ROOT%_libdir/*.so; do
        t=`objdump -p "$f" |awk '/SONAME/ {print $2}'`
        [ -n "$t" ]
        %__ln_s -nf ../../lib/"$t" "$f"
done
mv $RPM_BUILD_ROOT%_libdir/*.so.* $RPM_BUILD_ROOT/lib/
chmod a+x $RPM_BUILD_ROOT/lib/*

%__mkdir_p $RPM_BUILD_ROOT%_docdir/%name-%version
install -p -m644 ChangeLog LICENCE README NEWS doc/Tech.Notes \
	$RPM_BUILD_ROOT%_docdir/%name-%version/

%post -n lib%name -p %post_ldconfig_sys
%postun -n lib%name -p %postun_ldconfig

%files -n lib%name
/lib/*
%dir %_docdir/%name-%version
%_docdir/%name-%version/[A-S]*

%files -n lib%name-devel
%_bindir/*config
%_libdir/*.so
%_libdir/*.la
%_includedir/*
%_man3dir/*
%dir %_docdir/%name-%version
%_docdir/%name-%version/T*

%files -n lib%name-devel-static
%_libdir/*.a

%files grep
%_bindir/*grep
%_bindir/*test
%_man1dir/*

%changelog
* Tue Sep 10 2002 Dmitry V. Levin <ldv@altlinux.org> 3.9-alt3
- Fixed lib%name.la

* Sun Sep 01 2002 Dmitry V. Levin <ldv@altlinux.org> 3.9-alt2
- Updated %post/%postun scripts.
- Fixed library symlinks generation.
- Relocated documentation.
- Updated devel-static requirements.

* Mon Jan 14 2002 Dmitry V. Levin <ldv@alt-linux.org> 3.9-alt1
- 3.9

* Mon Nov 19 2001 Dmitry V. Levin <ldv@alt-linux.org> 3.7-alt1
- 3.7
- Created subdirectory for include files.

* Mon Aug 20 2001 Dmitry V. Levin <ldv@altlinux.ru> 3.5-alt1
- 3.5
- Moved static libraries to devel-static subpackage.
- Corrected requires.
- Corrected license info.
- Added pcretest utility to grep subpackage.

* Thu Feb 08 2001 Dmitry V. Levin <ldv@fandra.org> 3.4-ipl4mdk
- Fixed group tag in %name-grep subpackage.
- Libification.

* Wed Dec 13 2000 Dmitry V. Levin <ldv@fandra.org> 3.4-ipl3mdk
- Moved shared libraries from %_libdir to /lib.

* Wed Oct 11 2000 Dmitry V. Levin <ldv@fandra.org> 3.4-ipl2mdk
- Automatically added BuildRequires.

* Thu Aug 24 2000 Dmitry V. Levin <ldv@fandra.org> 3.4-ipl1mdk
- 3.4

* Thu Aug  3 2000 Dmitry V. Levin <ldv@fandra.org> 3.3-ipl1mdk
- 3.3
- Renamed subpackage pgrep --> pcre-grep.

* Wed Jun 28 2000 Dmitry V. Levin <ldv@fandra.org> 3.2-ipl1mdk
- Use FHS-compatible macros.

* Wed May 17 2000 Dmitry V. Levin <ldv@fandra.org>
- 3.2

* Thu Feb 10 2000 Dmitry V. Levin <ldv@fandra.org>
- 3.1

* Thu Dec 12 1999 Dmitry V. Levin <ldv@fandra.org>
- Fandra adaptions

* Fri Nov 05 1999 Arne Coucheron <arneco@online.no>
  [2.08-1]
- using name and version macros
- changed Group to comply with RH 6.x
- using make install
- using install -d instead of mkdir -p
- removing RPM_BUILD_ROOT before installing
- some changes in the files section

* Fri May 28 1999 Damien Miller <dmiller@ilogic.com.au>
- Built RPMs
